Bug 197594 - devel/boost-libs: bad c++11, won't build with gcc5
Summary: devel/boost-libs: bad c++11, won't build with gcc5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-13 14:20 UTC by John Marino
Modified: 2015-03-11 18:44 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (office)


Attachments
patch to allow boost-libs 1.55 to build on gcc-5 (2.30 KB, patch)
2015-02-21 15:29 UTC, John Marino
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino freebsd_committer 2015-02-13 14:20:59 UTC
The following problem was already fixed version 1.56 and 1.57 is the current release.  It's probably possible to patch 1.55 to fix these errors, but wouldn't it be preferable to upgrade the version?  The latest is 1 year newer than what is in ports

libs/thread/src/pthread/thread.cpp: In function 'boost::detail::thread_data_base* boost::detail::get_current_thread_data()':
libs/thread/src/pthread/thread.cpp:140:88: error: no matching function for call to 'call_once(boost::once_flag&, void (&)())'
             boost::call_once(current_thread_tls_init_flag,create_current_thread_tls_key);
                                                                                        
./boost/spirit/home/classic/core/non_terminal/impl/object_with_id.ipp:140:33: error: no matching function for call to 'call_once(boost::once_flag&, void (&)())'
                 boost::call_once(been_here, mutex_init);
                                 ^

many many times repeated.

422 packages depend on boost.
Comment 1 Bugzilla Automation freebsd_committer 2015-02-13 14:20:59 UTC
Auto-assigned to maintainer office@FreeBSD.org
Comment 2 John Marino freebsd_committer 2015-02-15 13:29:13 UTC
update: after fixing other issues, the fallout due to boost is now 910 ports
Comment 3 John Marino freebsd_committer 2015-02-21 15:29:32 UTC
Created attachment 153273 [details]
patch to allow boost-libs 1.55 to build on gcc-5

Boost is two releases behind and needs to be updated soon.  However, in the meantime, this patch will allow boost-libs to build on gcc-5.

Taken from upstream:
https://svn.boost.org/trac/boost/ticket/10125
Comment 4 commit-hook freebsd_committer 2015-03-11 18:44:09 UTC
A commit references this bug:

Author: marino
Date: Wed Mar 11 18:43:22 UTC 2015
New revision: 381028
URL: https://svnweb.freebsd.org/changeset/ports/381028

Log:
  devel/boost-libs: Fix bad c++11 so it builds with gcc5

  PR:		197594
  Submitted by:	marino
  Approved by:	maintainer timeout

Changes:
  head/devel/boost-libs/files/patch-boost_thread_pthread_once.hpp
  head/devel/boost-libs/files/patch-boost_thread_pthread_once__atomic.hpp